Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.agreement.owl
Class OwlUtilTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.bouncycastle.crypto.agreement.owl.OwlUtilTest

All Implemented Interfaces:
  junit.framework.Test

public class OwlUtilTest
extends junit.framework.TestCase

Constructor Summary
`OwlUtilTest()`

Method Summary
`void` | `testCalculateGA()`
`void` | `testValidateMacTag()`
`void` | `testValidateNotNull()`
`void` | `testValidateParticipantIdsDiffer()`
`void` | `testValidateParticipantIdsEqual()`
`void` | `testValidateR()`
`void` | `testValidateZeroknowledgeProof()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OwlUtilTest

    public OwlUtilTest()

Method Detail

### testCalculateGA

    public void testCalculateGA()
                         throws CryptoException

  Throws:
    `CryptoException`

### testValidateParticipantIdsDiffer

    public void testValidateParticipantIdsDiffer()
                                          throws CryptoException

  Throws:
    `CryptoException`

### testValidateParticipantIdsEqual

    public void testValidateParticipantIdsEqual()
                                         throws CryptoException

  Throws:
    `CryptoException`

### testValidateMacTag

    public void testValidateMacTag()
                            throws CryptoException

  Throws:
    `CryptoException`

### testValidateNotNull

    public void testValidateNotNull()

### testValidateR

    public void testValidateR()
                       throws CryptoException

  Throws:
    `CryptoException`

### testValidateZeroknowledgeProof

    public void testValidateZeroknowledgeProof()
                                        throws CryptoException

  Throws:
    `CryptoException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD